#!/bin/bash

export DISPLAY=:0

imapfilter -c ~/.imapfilter/config.lua

# find also outputs the directory itself it is given as input and since we
# count the lines in output for checking the number of mails, this gives
# a result of 1 when no mails have been received. For this, we substract 1
# from the result of our command.

if [ -d "$HOME/Mail/fastmail" ]; then
	mbsync fastmail
	fastmail_inbox=$(($(find ~/Mail/fastmail/Inbox/new | wc -l)-1))
	gitlab_inbox=$(($(find ~/Mail/fastmail/FreedesktopGitlab/new | wc -l)-1))
	if [ "$fastmail_inbox" -gt 0 ]; then
	       notify-send "You have $fastmail_inbox new mails in fastmail inbox"
	fi
	if [ "$gitlab_inbox" -gt 0 ]; then
	       notify-send "You have $gitlab_inbox new mails in fastmail gitlab inbox"
	fi
fi

if [ -d "$HOME/Mail/sanchayan" ]; then
	mbsync gmail
	gmail_inbox=$(($(find ~/Mail/sanchayan/Inbox/new | wc -l)-1))
	if [ "$gmail_inbox" -gt 0 ]; then
	       notify-send "You have $gmail_inbox new mails in gmail inbox"
	fi
fi

if [ -d "$HOME/Mail/asymptotic" ]; then
	mbsync asymptotic
	asymptotic_inbox=$(($(find ~/Mail/asymptotic/Inbox/new | wc -l)-1))
	if [ "$asymptotic_inbox" -gt 0 ]; then
	       notify-send "You have $asymptotic_inbox new mails in asymptotic inbox"
	fi
fi

notmuch new
